const stations = [
    {
        label: '姬2转',
        value: '姬2转'
    }, {
        label: '姬19供',
        value: '姬19供'
    }, {
        label: '姬1增长2',
        value: '姬1增长2'
    }, {
        label: '姬1增长4+5',
        value: '姬1增长4+5'
    }, {
        label: '姬32增',
        value: '姬32增'
    }, {
        label: '姬71撬',
        value: '姬71撬'
    }, {
        label: '姬1联',
        value: '姬1联'
    }, {
        label: '姬26注',
        value: '姬26注'
    }, {
        label: '姬27转',
        value: '姬27转'
    }, {
        label: '姬27转_水',
        value: '姬27转_水'
    }
]
export default stations
export const ruleTree = [{
    id: '1',
    label: '前置判断',
    children: [{
        id: '1-1',
        label: '1#:所有设备@设备异常',
    }, {
        id: '1-2',
        label: '2#:所有设备@范围异常',
    }, {
        id: '1-3',
        label: '3#:所有设备@传输异常',
    }]
}, {
    id: '2',
    label: '单一规则',
    children: [{
        id: '2-1',
        label: '可燃气体1@高报'
    }, {
        id: '2-2',
        label: '可燃气体2@高报'
    }, {
        id: '2-3',
        label: '总机关压力@高报'
    }, {
        id: '2-4',
        label: '收秋筒压力@高报'
    }, {
        id: '2-5',
        label: '...'
    }]
}, {
    id: '3',
    label: '复合规则',
    children: [{
        id: '3-1',
        label: '外输异常'
    }, {
        id: '3-2',
        label: '泵异常'
    }, {
        id: '3-3',
        label: '加热炉异常'
    }, {
        id: '3-4',
        label: '...'
    }]
}, {
    id: '4',
    label: '过滤规则',
    children: [{
        id: '4-1',
        label: '延迟过滤'
    }, {
        id: '4-2',
        label: '重复过滤'
    }, {
        id: '4-3',
        label: '联合过滤'
    }, {
        id: '4-4',
        label: '定点过滤'
    }, {
        id: '4-5',
        label: '自适应过滤'
    }, {
        id: '4-6',
        label: '...'
    }]
}]

export const ruleBaseModel = [
    {
        id: 1,
        name: '设备异常',
        divided: false
    }, {
        id: 2,
        name: '范围异常',
        divided: false
    }, {
        id: 3,
        name: '传输异常',
        divided: false
    }, {
        id: 4,
        name: '',
        divided: true
    }, {
        id: 6,
        name: '高报',
        divided: false
    }, {
        id: 7,
        name: '低报',
        divided: false
    }, {
        id: 8,
        name: '高高报',
        divided: false
    }, {
        id: 9,
        name: '低低报',
        divided: false
    }, {
        id: 10,
        name: '',
        divided: true
    }, {
        id: 11,
        name: '外输异常',
        divided: false
    }
]

const nodeStyle = {
    caption: 'show',
    label: "name",
    // size: 12,
    // group: "community",
    // [NeoVis.NEOVIS_ADVANCED_CONFIG]: {
    //   function: {
    //     title: (node) => viz.nodeToHtml(node, [
    //       "name",
    //       "pagerank"
    //     ])
    //   }
    // }
}

export const neoLabels = {
    AccidentTank: nodeStyle,
    BackwashSurgeTank: nodeStyle,
    BallReceiving: nodeStyle,
    BufferTank: nodeStyle,
    ClearWaterTank: nodeStyle,
    DegassingTank: nodeStyle,
    DirtyOilBox: nodeStyle,
    DosingTank: nodeStyle,
    DryingTank: nodeStyle,
    ExportFlowMeter: nodeStyle,
    ExportPump: nodeStyle,
    ExportPumpValve: nodeStyle,
    FeedPump: nodeStyle,
    GasFlowMeter: nodeStyle,
    GasLiquidSeparator: nodeStyle,
    Heater: nodeStyle,
    MainValve: nodeStyle,
    OilRemovalTank: nodeStyle,
    OilSupplyPipe: nodeStyle,
    PlungerValve: nodeStyle,
    PourOilPump: nodeStyle,
    PressPower: nodeStyle,
    PurgeTank: nodeStyle,
    RawWaterTank: nodeStyle,
    Reflux: nodeStyle,
    SettlingTank: nodeStyle,
    StorageTank: nodeStyle,
    ThreeWayValve: nodeStyle,
    TransOilPump: nodeStyle,
    TrunkLine: nodeStyle,
    TrunkLineValve: nodeStyle,
    UnloadingOilTank: nodeStyle,
    WaterBufferTank: nodeStyle,
    WaterDistributionValve: nodeStyle,
    WaterFilter: nodeStyle,
    WaterInjectionPump: nodeStyle,
    WaterManualValve: nodeStyle,
    WaterMeter: nodeStyle,
    WaterSeparator: nodeStyle,
    WaterSource: nodeStyle,
    WaterSupplyPump: nodeStyle,
    WaterSupplyPumpValve: nodeStyle,
    WaterTransferPump: nodeStyle
}

export const alarmRecord = {
    "current": 1,
    "optimizeCountSql": true,
    "orders": [],
    "pages": 2,
    "records": [
        {
            "alarmContent": "低报,限值为0.2",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "低报",
            "alarmValue": "0.03697916492819786",
            "description": "姬二十七转1#三相分离器油层液位",
            "id": "84741156-0829-4b9f-ac11-eb87695e0b05",
            "siteName": "姬二十七接转站",
            "tagName": "J27ZH$SXFLQ1_YYW"
        },
        {
            "alarmContent": "低报,限值为0.5",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "低报",
            "alarmValue": "0.30000001192092896",
            "description": "盐60-29井场集油管线出口压力",
            "id": "8a9f41c0-1c3d-4720-a416-98d3e917aff8",
            "siteName": "姬一联合站",
            "tagName": "YAN60_29$GX_YL"
        },
        {
            "alarmContent": "高报,限值为3.0",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "高报",
            "alarmValue": "3.7586212158203125",
            "description": "姬一联 轻烃来油至新40方缓冲罐冲罐含水",
            "id": "8fa83c8d-e7dc-4674-a314-6474eb915da9",
            "siteName": "姬一联合站",
            "tagName": "J1L$HCG1_LYHS"
        },
        {
            "alarmContent": "高高报,限值为30.0",
            "alarmRank": "1",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "高高报",
            "alarmValue": "52.54629898071289",
            "description": "姬二转长4+5计量间可燃气报警",
            "id": "9accd670-7471-448c-b24c-ab6a23145afd",
            "siteName": "姬二接转站",
            "tagName": "J2ZH$KRQT9_ND"
        },
        {
            "alarmContent": "高报,限值为0.7",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "高报",
            "alarmValue": "1.2834490537643433",
            "description": "姬二十七转污油箱液位",
            "id": "c0bd0784-7a8f-466a-a0fb-a6ebe12c47d4",
            "siteName": "姬二十七接转站",
            "tagName": "J27ZH$WYX_YW"
        },
        {
            "alarmContent": "低报,限值为0.5",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:49:51",
            "alarmType": "低报",
            "alarmValue": "0.045625001192092896",
            "description": "姬一联 轻烃厂来油至40方缓冲罐压力",
            "id": "d235bf19-f78f-421f-84c0-03798e95b8a1",
            "siteName": "姬一联合站",
            "tagName": "J1L$HCG2_JKYL"
        },
        {
            "alarmContent": "低报,限值为0.15",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:33:55",
            "alarmType": "低报",
            "alarmValue": "0.12156250327825546",
            "description": "姬一联 三相至40方缓冲罐压力",
            "id": "abf67b87-98aa-4908-b883-2b9e0f35bb63",
            "siteName": "姬一联合站",
            "tagName": "J1L$HCG1_JKYL"
        },
        {
            "alarmContent": "低报,限值为0.21",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 16:33:15",
            "alarmType": "低报",
            "alarmValue": "0.1899999976158142",
            "description": "地88-55井场集油管线出口压力",
            "id": "5099ee1a-599f-439a-8dc8-3bd858159c59",
            "siteName": "姬二接转站",
            "tagName": "D88_55$GX_YL"
        },
        {
            "alarmContent": "低报,限值为12.0",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 15:09:25",
            "alarmType": "低报",
            "alarmValue": "11.296296119689941",
            "description": "姬二十七转清水分水器压力",
            "id": "5f27282e-a16c-4214-9885-b90e95c80bcf",
            "siteName": "姬二十七接转站",
            "tagName": "J27ZH$QSFSQ_YL"
        },
        {
            "alarmContent": "高报,限值为35.0",
            "alarmRank": "3",
            "alarmTime": "2023-10-12 13:52:35",
            "alarmType": "高报",
            "alarmValue": "37.5390625",
            "description": "长2 外输温度",
            "id": "0075bc09-6d7d-4779-b5e6-b7ce494be9fa",
            "siteName": "姬1增压站",
            "tagName": "J1ZC2$LLJ_WD"
        }
    ],
    "searchCount": true,
    "size": 10,
    "total": 17
}
export const siteTree = {
    "value": "全区",
    "children": [
        {
            "value": "耿114中心站",
            "children": [
                {
                    "value": "姬7增压站",
                    "children": [
                        {
                            "value": "姬45增压站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬45增压站",
                    "children": []
                },
                {
                    "value": "姬46增压站",
                    "children": []
                },
                {
                    "value": "姬二接转站",
                    "children": []
                },
                {
                    "value": "姬二十接转站",
                    "children": []
                },
                {
                    "value": "盐67_37输油点",
                    "children": []
                },
                {
                    "value": "耿132输油点",
                    "children": []
                },
                {
                    "value": "姬三注水站",
                    "children": []
                }
            ]
        },
        {
            "value": "耿130中心站",
            "children": [
                {
                    "value": "姬十九供水站",
                    "children": []
                },
                {
                    "value": "姬4增压站",
                    "children": []
                },
                {
                    "value": "姬60增压橇",
                    "children": []
                },
                {
                    "value": "姬63增压橇",
                    "children": []
                },
                {
                    "value": "姬68增压橇",
                    "children": []
                },
                {
                    "value": "姬二注水站",
                    "children": []
                }
            ]
        },
        {
            "value": "耿19中心站",
            "children": [
                {
                    "value": "姬49增压橇",
                    "children": []
                },
                {
                    "value": "姬一加热点",
                    "children": []
                },
                {
                    "value": "姬二加热点",
                    "children": []
                },
                {
                    "value": "姬二十七接转站",
                    "children": []
                },
                {
                    "value": "姬一供水站",
                    "children": []
                },
                {
                    "value": "盐12_4输油点",
                    "children": []
                },
                {
                    "value": "姬一注水站",
                    "children": []
                }
            ]
        },
        {
            "value": "耿20中心站",
            "children": [
                {
                    "value": "姬2增压站",
                    "children": []
                },
                {
                    "value": "姬31增压站",
                    "children": []
                },
                {
                    "value": "姬50增压橇",
                    "children": [
                        {
                            "value": "姬2增压站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬一接转站",
                    "children": []
                },
                {
                    "value": "姬十四接转站",
                    "children": [
                        {
                            "value": "姬2增压站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "冯3增压站",
                    "children": [
                        {
                            "value": "姬31增压站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬十六供水站",
                    "children": []
                },
                {
                    "value": "地72_55输油点",
                    "children": []
                },
                {
                    "value": "姬二十六注水站",
                    "children": []
                },
                {
                    "value": "姬九供水站",
                    "children": []
                },
                {
                    "value": "姬十四转注水站",
                    "children": []
                }
            ]
        },
        {
            "value": "耿63中心站",
            "children": [
                {
                    "value": "姬71增压橇",
                    "children": [
                        {
                            "value": "姬61增压橇",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬13增压站",
                    "children": [
                        {
                            "value": "姬70增压橇",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬61增压橇",
                    "children": []
                },
                {
                    "value": "姬70增压橇",
                    "children": []
                },
                {
                    "value": "姬三接转站",
                    "children": [
                        {
                            "value": "姬二十九接转站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "姬二十九接转站",
                    "children": []
                }
            ]
        },
        {
            "value": "耿98中心站",
            "children": [
                {
                    "value": "姬32增压站",
                    "children": [
                        {
                            "value": "冯5增压站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "冯1增压站",
                    "children": []
                },
                {
                    "value": "冯4增压站",
                    "children": []
                },
                {
                    "value": "冯5增压站",
                    "children": []
                },
                {
                    "value": "地162_2增压橇",
                    "children": []
                }
            ]
        },
        {
            "value": "马家山脱水站",
            "children": []
        },
        {
            "value": "姬一输油点",
            "children": []
        },
        {
            "value": "锅炉房",
            "children": []
        },
        {
            "value": "姬一联合站",
            "children": []
        },
        {
            "value": "冯地坑办公网",
            "children": [
                {
                    "value": "耿98中心站",
                    "children": [
                        {
                            "value": "姬32增压站",
                            "children": [
                                {
                                    "value": "冯5增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "冯1增压站",
                            "children": []
                        },
                        {
                            "value": "冯4增压站",
                            "children": []
                        },
                        {
                            "value": "冯5增压站",
                            "children": []
                        },
                        {
                            "value": "地162_2增压橇",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿114中心站",
                    "children": [
                        {
                            "value": "姬7增压站",
                            "children": [
                                {
                                    "value": "姬45增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬45增压站",
                            "children": []
                        },
                        {
                            "value": "姬46增压站",
                            "children": []
                        },
                        {
                            "value": "姬二接转站",
                            "children": []
                        },
                        {
                            "value": "姬二十接转站",
                            "children": []
                        },
                        {
                            "value": "盐67_37输油点",
                            "children": []
                        },
                        {
                            "value": "耿132输油点",
                            "children": []
                        },
                        {
                            "value": "姬三注水站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿20中心站",
                    "children": [
                        {
                            "value": "姬2增压站",
                            "children": []
                        },
                        {
                            "value": "姬31增压站",
                            "children": []
                        },
                        {
                            "value": "姬50增压橇",
                            "children": [
                                {
                                    "value": "姬2增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬一接转站",
                            "children": []
                        },
                        {
                            "value": "姬十四接转站",
                            "children": [
                                {
                                    "value": "姬2增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "冯3增压站",
                            "children": [
                                {
                                    "value": "姬31增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬十六供水站",
                            "children": []
                        },
                        {
                            "value": "地72_55输油点",
                            "children": []
                        },
                        {
                            "value": "姬二十六注水站",
                            "children": []
                        },
                        {
                            "value": "姬九供水站",
                            "children": []
                        },
                        {
                            "value": "姬十四转注水站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿63中心站",
                    "children": [
                        {
                            "value": "姬71增压橇",
                            "children": [
                                {
                                    "value": "姬61增压橇",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬13增压站",
                            "children": [
                                {
                                    "value": "姬70增压橇",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬61增压橇",
                            "children": []
                        },
                        {
                            "value": "姬70增压橇",
                            "children": []
                        },
                        {
                            "value": "姬三接转站",
                            "children": [
                                {
                                    "value": "姬二十九接转站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬二十九接转站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿19中心站",
                    "children": [
                        {
                            "value": "姬49增压橇",
                            "children": []
                        },
                        {
                            "value": "姬一加热点",
                            "children": []
                        },
                        {
                            "value": "姬二加热点",
                            "children": []
                        },
                        {
                            "value": "姬二十七接转站",
                            "children": []
                        },
                        {
                            "value": "姬一供水站",
                            "children": []
                        },
                        {
                            "value": "盐12_4输油点",
                            "children": []
                        },
                        {
                            "value": "姬一注水站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿130中心站",
                    "children": [
                        {
                            "value": "姬十九供水站",
                            "children": []
                        },
                        {
                            "value": "姬4增压站",
                            "children": []
                        },
                        {
                            "value": "姬60增压橇",
                            "children": []
                        },
                        {
                            "value": "姬63增压橇",
                            "children": []
                        },
                        {
                            "value": "姬68增压橇",
                            "children": []
                        },
                        {
                            "value": "姬二注水站",
                            "children": []
                        }
                    ]
                },
                {
                    "value": "耿18_7中心站",
                    "children": [
                        {
                            "value": "姬1增压站",
                            "children": []
                        },
                        {
                            "value": "冯2增压站",
                            "children": [
                                {
                                    "value": "姬3增压站",
                                    "children": []
                                }
                            ]
                        },
                        {
                            "value": "姬3增压站",
                            "children": []
                        },
                        {
                            "value": "盐53_31输油点",
                            "children": []
                        },
                        {
                            "value": "地73_40输油点",
                            "children": []
                        }
                    ]
                }
            ]
        }
    ]
}

const alarmRankConfigData =
    [
        {
            name: '高危',
            rank: 1
        }, {
        name: '严重',
        rank: 2
    }, {
        name: '一般',
        rank: 3
    }
    ];
export const alarmRankConfig = {

    findNameById: (id) => {
        let f = alarmRankConfigData.find(v => {
            return v.rank === parseInt(id)
        })
        return f.name
    }

}