import Vue from 'vue'
import VueRouter from 'vue-router'
import user from "@/components/util/user";
import cookies from "vue-cookies"

Vue.use(VueRouter)

const routes = [
    {
        path: '/',
        alias: '/home',
        name: 'Home',
        component: () => import('@/components/AlarmInfo.vue'),
    },
    {
        path: '/config',
        name: 'Config',
        component: () => import("@/components/AlarmConfig.vue")
    },
    {
        path: '/abnormal',
        name: 'Abnormal',
        component: () => import("@/components/AbnormalDevice.vue")
    },
    {
        path: '/manage',
        name: 'Manage',
        component: () => import("@/components/AlgoManage.vue")
    },
    {
        path: '/neo',
        name: 'Neo',
        component: () => import("@/components/NeoConfig.vue")
    },
    {
        path: '/module',
        name: 'Module',
        component: () => import("@/components/ModuleConfig.vue")
    },
    {
        path: '/login',
        name: 'Login',
        component: ()=>import("@/components/Login.vue")
    }
]

const VueRouterPush = VueRouter.prototype.push
VueRouter.prototype.push = function push (to) {
    return VueRouterPush.call(this, to).catch(err => err)
}

const router = new VueRouter({
    mode: 'history',
    routes
})

router.beforeEach((to, from, next)=>{
    if(to.path === '/' && to.query.user) {
        user.name = to.query.user
    }

    if (user.name==='' && to.path!=='/login'){
        if(cookies.get('username')){
            user.name = cookies.get('username')
            next()
        }else {
            next("/login")
        }
    }else {
        next()
    }
})

export default router
